LibreOffice: UnoControlListBoxModel Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
UnoControlListBoxModel Service Referencepublished

specifies the standard model of a UnoControlListBox. More...

`import "UnoControlListBoxModel.idl";`

Inheritance diagram for UnoControlListBoxModel:

## Public Types
typedef sequence< short > | SelectedItems
| specifies the sequence of selected items, identified by the position.
typedef sequence< string > | StringItemList
| specifies the list of items.
typedef sequence< any > | TypedItemList
| specifies the list of raw typed (not stringized) items.

## Included Services
service | com::sun::star::awt::UnoControlModel
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel.

## Exported Interfaces
interface | XItemList
| allows manipulating the list of items in the list box more fine-grained than the StringItemList property.
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable

## Public Attributes
short | Align
| specifies the horizontal alignment of the text in the control.
com::sun::star::util::Color | BackgroundColor
| specifies the background color (RGB) of the control.
short | Border
| specifies the border style of the control.
long | BorderColor
| specifies the color of the border, if present
boolean | Dropdown
| specifies if the control has a drop down button.
boolean | Enabled
| determines whether the control is enabled or disabled.
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes of the text in the control.
short | FontEmphasisMark
| specifies the com::sun::star::text::FontEmphasis value of the text in the control.
short | FontRelief
| specifies the com::sun::star::text::FontRelief value of the text in the control.
string | HelpText
| specifies the help text of the control.
string | HelpURL
| specifies the help URL of the control.
short | LineCount
| specifies the maximum line count displayed in the drop down box.
boolean | MultiSelection
| specifies if more than one entry can be selected.
boolean | Printable
| specifies that the control will be printed with the document.
boolean | ReadOnly
| specifies that the content of the control cannot be modified by the user.
boolean | Tabstop
| specifies that the control can be reached with the TAB key.
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) of the control.
com::sun::star::util::Color | TextLineColor
| specifies the text line color (RGB) of the control.
short | WritingMode
| denotes the writing mode used in the control, as specified in the com::sun::star::text::WritingMode2 constants group.
short | MouseWheelBehavior
| defines how the mouse wheel can be used to scroll through the control's content.
short | ItemSeparatorPos
| specifies where an item separator - a horizontal line - is drawn.
com::sun::star::util::Color | HighlightColor
| specifies the background color (RGB) of selected items in the control which are highlighted.
com::sun::star::util::Color | HighlightTextColor
| specifies the text color (RGB) of selected items in the control which are highlighted.
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model.

## Additional Inherited Members
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Member Functions inherited from XItemList
void | insertItem ([in] long Position, [in] string ItemText, [in] string ItemImageURL) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| inserts a new item into the list
void | insertItemText ([in] long Position, [in] string ItemText) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| inserts an item which has only a text, but no image
void | insertItemImage ([in] long Position, [in] string ItemImageURL) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| inserts an item which has only an image, but no text
void | removeItem ([in] long Position) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| removes an item from the list
void | removeAllItems ()
| removes all items from the list
void | setItemText ([in] long Position, [in] string ItemText) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| sets a new text for an existing item
void | setItemImage ([in] long Position, [in] string ItemImageURL) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| sets a new image for an existing item
void | setItemTextAndImage ([in] long Position, [in] string ItemText, [in] string ItemImageURL) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| sets both a new position and text for an existing item
void | setItemData ([in] long Position, [in] any ItemData) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| associates an implementation dependent value with the given list item.
string | getItemText ([in] long Position) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| retrieves the text of an existing item
string | getItemImage ([in] long Position) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| retrieves the URL of the image of an existing item
::com::sun::star::beans::Pair< string, string > | getItemTextAndImage ([in] long Position) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| retrieves both the text and the image URL of an existing item
any | getItemData ([in] long Position) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| retrieves the implementation dependent value associated with the given list item.
sequence< ::com::sun::star::beans::Pair< string, string > > | getAllItems ()
| retrieves the texts and images of all items in the list
void | addItemListListener ([in] XItemListListener Listener)
| registers a listener which is notified about changes in the item list.
void | removeItemListListener ([in] XItemListListener Listener)
| revokes a listener which is notified about changes in the item list.
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control.
string | Name
| specifies the name of the control.
string | PositionX
| specifies the horizontal position of the control.
string | PositionY
| specifies the vertical position of the control.
long | Step
| specifies the step of the control.
short | TabIndex
| specifies the tabindex of the control.
string | Tag
| specifies the tag of the control.
long | Width
| specifies the width of the control.
Protected Attributes inherited from XItemList
long | ItemCount
| is the number of items in the list

## Detailed Description

specifies the standard model of a UnoControlListBox.

## Member Typedef Documentation

## ◆ SelectedItems

sequence<short> SelectedItems
| property

specifies the sequence of selected items, identified by the position.

## ◆ StringItemList

sequence<string> StringItemList
| property

specifies the list of items.

## ◆ TypedItemList

sequence<any> TypedItemList
| optionalproperty

specifies the list of raw typed (not stringized) items.

This list corresponds with the StringItemList and if given has to be of the same length, the elements' positions matching those of their string representation in StringItemList.

Since
  LibreOffice 5.4

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlModel

service com::sun::star::awt::UnoControlModel

## Exported Interfaces

## ◆ XItemList

interface XItemList
| optional

allows manipulating the list of items in the list box more fine-grained than the StringItemList property.

Since
  OOo 3.3

## Member Data Documentation

## ◆ Align

short Align
| optionalproperty

specifies the horizontal alignment of the text in the control.

    0: left
    1: center
    2: right

## ◆ BackgroundColor

com::sun::star::util::Color BackgroundColor
| property

specifies the background color (RGB) of the control.

## ◆ Border

short Border
| property

specifies the border style of the control.

    0: No border
    1: 3D border
    2: simple border

## ◆ BorderColor

long BorderColor
| optionalproperty

specifies the color of the border, if present

Not every border style (see Border) may support coloring. For instance, usually a border with 3D effect will ignore the BorderColor setting.

Since
  OOo 2.0

## ◆ Dropdown

boolean Dropdown
| property

specifies if the control has a drop down button.

## ◆ Enabled

boolean Enabled
| property

determines whether the control is enabled or disabled.

## ◆ FontDescriptor

com::sun::star::awt::FontDescriptor FontDescriptor
| property

specifies the font attributes of the text in the control.

## ◆ FontEmphasisMark

short FontEmphasisMark
| property

specifies the com::sun::star::text::FontEmphasis value of the text in the control.

## ◆ FontRelief

short FontRelief
| property

specifies the com::sun::star::text::FontRelief value of the text in the control.

## ◆ HelpText

string HelpText
| property

specifies the help text of the control.

## ◆ HelpURL

string HelpURL
| property

specifies the help URL of the control.

## ◆ HighlightColor

com::sun::star::util::Color HighlightColor
| optionalproperty

specifies the background color (RGB) of selected items in the control which are highlighted.

Since
  LibreOffice 7.5

## ◆ HighlightTextColor

com::sun::star::util::Color HighlightTextColor
| optionalproperty

specifies the text color (RGB) of selected items in the control which are highlighted.

Since
  LibreOffice 7.5

## ◆ ItemSeparatorPos

short ItemSeparatorPos
| optionalpropertymaybevoid

specifies where an item separator - a horizontal line - is drawn.

If this is not NULL, then a horizontal line will be drawn between the item at the given position, and the following item.

Since
  OOo 3.3

## ◆ LineCount

short LineCount
| property

specifies the maximum line count displayed in the drop down box.

## ◆ MouseWheelBehavior

short MouseWheelBehavior
| optionalproperty

defines how the mouse wheel can be used to scroll through the control's content.

Usually, the mouse wheel scroll through the control's entry list. Using this property, and one of the MouseWheelBehavior constants, you can control under which circumstances this is possible.

## ◆ MultiSelection

boolean MultiSelection
| property

specifies if more than one entry can be selected.

## ◆ Printable

boolean Printable
| property

specifies that the control will be printed with the document.

## ◆ ReadOnly

boolean ReadOnly
| property

specifies that the content of the control cannot be modified by the user.

## ◆ Tabstop

boolean Tabstop
| property

specifies that the control can be reached with the TAB key.

## ◆ TextColor

com::sun::star::util::Color TextColor
| property

specifies the text color (RGB) of the control.

## ◆ TextLineColor

com::sun::star::util::Color TextLineColor
| property

specifies the text line color (RGB) of the control.

## ◆ WritingMode

short WritingMode
| optionalproperty

denotes the writing mode used in the control, as specified in the com::sun::star::text::WritingMode2 constants group.

Only com::sun::star::text::WritingMode2::LR_TB and com::sun::star::text::WritingMode2::RL_TB are supported at the moment.

Since
  OOo 3.1

The documentation for this service was generated from the following file:

- com/sun/star/awt/UnoControlListBoxModel.idl